// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')
ServerEvents.recipes(event => {
event.shaped(
    Item.of('projecte:alchemical_coal', 1), // arg 1: output
    [
      'AAA',
      'ABA', // arg 2: the shape (array of strings)
      'AAA'
    ],
    {
      A: 'mysticalagradditions:supremium_coal',
      B: 'bloodmagic:reagentbinding'  //arg 3: the mapping object
    }
  )
event.remove({id:'projecte:alchemical_coal'})

event.shaped(
    Item.of('projecte:low_covalence_dust', 16), 
    [
      'AAA',
      'ABA', 
      'AAA'
    ],
    {
      A: 'thermal:iron_dust',
      B: 'thermal:charcoal_block'
    }
  )
event.remove({id:'projecte:low_covalence_dust'})

event.shaped(
  Item.of('projecte:medium_covalence_dust', 16), 
  [
    'AAA',
    'ABA', 
    'AAA'
  ],
  {
    A: 'projecte:low_covalence_dust',
    B: 'minecraft:redstone_block'
  }
)
event.remove({id:'projecte:medium_covalence_dust'})

event.shaped(
  Item.of('projecte:high_covalence_dust', 16), 
  [
    'AAA',
    'ABA', 
    'AAA'
  ],
  {
    A: 'projecte:medium_covalence_dust',
    B: 'minecraft:diamond_block'
  }
)
event.remove({id:'projecte:high_covalence_dust'})

event.shaped(
  Item.of('summoningrituals:altar', 1), 
  [
    'ABA',
    'CDC', 
    'EEE'
  ],
  {
    A: 'eidolon:arcane_gold_ingot',
    B: 'minecraft:wither_skeleton_skull',
    C: 'minecraft:candle',
    D: 'bloodmagic:altar',
    E: 'minecraft:soul_sand'
  }
)

event.shaped(
  Item.of('projectexpansion:infinite_fuel', 1),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: 'minecraft:coal',
    B: 'gobber2:dragon_star'
  }
)

event.shaped(
  Item.of('projectexpansion:infinite_steak', 1),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: 'minecraft:cooked_beef',
    B: 'gobber2:dragon_star'
  }
)

event.shaped(
  Item.of('projectexpansion:basic_emc_link', 1),
  [
    'ABC',
    'DED',
    'CBA'
  ],
  {
    A: 'projecte:low_covalence_dust',
    B: 'projecte:medium_covalence_dust',
    C: 'projecte:high_covalence_dust',
    D: 'forbidden_arcanus:dark_nether_star',
    E: 'projecte:condenser_mk1'
  }
)

event.shaped(
  Item.of('infinitely_regenerating_block:infinitely_regenerating_block', 1),
  [
    'ABA',
    'CDC',
    'ABA'
  ],
  {
    A: 'minecraft:obsidian',
    B: 'minecraft:netherite_ingot',
    C: 'mekanism:quantum_entangloporter',
    D: 'gobber2:dragon_star'
  }
)

event.shaped(
  Item.of('infinitely_regenerating_block:upgradedirb', 1),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: 'infinitely_regenerating_block:infinitely_regenerating_block',
    B: 'allthemodium:unobtainium_block'
  }
)

event.shaped(
  Item.of('infinitely_regenerating_block:random_ore_block', 1),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: '#forge:ores',
    B: 'allthemodium:unobtainium_dust'
  }
)

event.shaped(
  Item.of('infinitely_regenerating_block:regenerating_random_ore_block', 1),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: 'infinitely_regenerating_block:random_ore_block',
    B: 'ae2:quantum_entangled_singularity'
  }
)

event.shaped(
  Item.of('voidscape:charred_bone', 2),
  [
    'ABA',
    'BAB',
    'ABA'
  ],
  {
    A: 'iceandfire:witherbone',
    B: 'cataclysm:burning_ashes'
  }
)

event.remove({id:'infinitely_regenerating_block:regenerating_ore_block_recipe'})
event.remove({id:'infinitely_regenerating_block:irb_recipe'})
event.remove({id:'projectexpansion:emc_link/basic'})
event.remove({id:'projectexpansion:infinite_fuel'})
event.remove({id:'projectexpansion:infinite_steak'})
event.remove({id:'projectexpansion:star/final_star'})
event.remove({id:'projecte:philosophers_stone'})
event.remove({id:'projecte:philosophers_stone_alt'})
event.remove({id:'projectexpansion:arcane_alchemical_book'})
event.remove({id:'projecte:transmutation_tablet'})
event.remove({id:'endrem:witch_eye'})
event.remove({id:'endrem:undead_eye'})
event.remove({id:'endrem:exotic_eye'})
 }
)

